API Doc
版本
版本
  • v1
  • v2
选择语言
选择语言
  • English
  • 简体中文
版本
版本
  • v1
  • v2
选择语言
选择语言
  • English
  • 简体中文
    • 统一 API请求参数
    • 统一异步通知参数
    • API通用提示码
    • 1. 账号查询
      • 国家编码列表
      • 1.1 余额查询
        POST
      • 1.2 对账文件下载
        POST
    • 2. 收银台
      • 支付 ChannelCode列表
      • 2.1 收银台下单接口
        POST
      • 2.2 收银台查询接口
        POST
      • 2.3 获取收银台可用支付渠道接口
        POST
      • 2.4 收银台订单关闭接口
        POST
      • 2.5 收银台支付结果通知
        POST
    • 3. 收款
      • 支付 ChannelCode列表
      • 微信调起支付说明
      • 微信网页授权说明
      • 3.1 收款下单接口
        POST
      • 3.2 收款状态查询接口
        POST
      • 3.3 订单关闭接口
        POST
      • 3.4 收款结果通知
        POST
      • 3.5 交易撤销接口
        POST
    • 4. 代付
      • 代付渠道列表
      • 4.1 代付下单接口
        POST
      • 4.2 查询代付状态接口
        POST
      • 4.3 代付结果回调通知
        POST
    • 5. 退款
      • 退款支持列表
      • 退款状态枚举
      • 5.1 退款接口
        POST
      • 5.2 退款查询接口
        POST
      • 5.3 退款结果回调通知
        POST
    • 6. 授权代扣
      • 授权代扣渠道列表
      • 6.1 获取授权链接接口
      • 6.2 查询token状态接口
      • 6.3 取消token接口
      • 6.4 授权代扣结果回调通知
    • 7.分账
      • 分账相关枚举
      • 1. 关系证明文件上传
      • 2. 添加分账接收方
      • 3. 查询分账接收方
      • 4. 删除分账接收方
      • 5. 查询待分账金额
      • 6. 请求分账
      • 7. 查询分账结果
      • 8. 请求分账退回
      • 9. 查询分账退回

    API通用提示码

    Open API Code 提示码列表#

    通用Open API 通用提示码(当次交易实时返回)
    响应示例
    {
        "code":21016,
        "message":"Merchant ip forbidden",
    }

    通用接口响应码#

    响应码响应信息
    10000Success
    21000Server error, Please try again later.
    21001Request sign error
    21002Request param error
    21003Request appId error
    21004Merchant is unavailable
    21005Merchant channel is unavailable
    21006Merchant transaction not found
    21007Duplicate merchant order id
    21008Request timestamp error
    21009Request timestamp error
    21010The amount exceeds the limit
    21011Network error
    21012Request bank code error
    21013Request wallet code error
    21014Merchant balance insufficient
    21015Duplicate idempotencyId
    21016Merchant ip forbidden
    21017Merchant has not opened this national service
    21018Request transfer code error
    21019Request pay method code error
    21020Too many requests, please retry later.
    21021Transaction Amount Invalid
    21022Transaction Volume Limit
    21023Transaction create failed
    21024Invalid access token
    21025Not allowed to cancel
    21026Customer Balance not enough
    21027Transaction creation exceeds limit
    21028Transaction already paid or closed

    退款接口响应码#

    响应码响应信息
    21401Refund is processing
    21402Not allowed to refund
    21403Transactions 60 days ago cannot initiate refunds
    21404The original transaction channel not support full refund
    21405The original transaction channel not support partial refund
    21406Refund amount invalid
    21407MchRefundOrderId is repeat
    21408The original transaction is not completed
    21409The original transaction already exist pending refund

    撤销接口响应码#

    响应码响应信息
    21500Original transaction status is not success
    21501Cannot reverse
    21502Original transaction has been settled
    21503Cannot void over the day
    21504Original transaction has been already voided
    21505Duplicate mchVoidOrderID detected. Please provide a unique mchvoidOrderID and retry.

    Open API 交易Failed Code 错误码列表#

    用于交易查询或者回调结果
    响应示例
    {
    	"amount":5735,
    	"createTime":"2022-01-10 17:55:45",
    	"eventName":"disbursement.failed",
    	"failedCode":-10001,
    	"failedMessage":"Transaction Exceed Limit",
    	"mchOrderId":"CCP16418085446081",
    	"remark":"cash credit",
    	"returnTime":"2022-01-10 18:33:37",
    	"sign":"5a9dd499ddf1c2a4dcf054aceafe409b45f37ca6",
    	"transactionId":"d149b0a575e5344740b2d9698babcede1f68",
    	"transactionStatus":"FAILED"
    }
    错误failedCode错误提示语
    -10000Transaction Service Error
    -10001Transaction Exceed Limit
    -10002Transaction Params Error
    -10003Transaction Insufficient Balance
    -10004Transaction Channel Rejected
    -10005Transaction Destination Account Error
    -10006Transaction Network Reject
    -10007Transaction Channel Temporarily Close
    -10008Merchant Unavailable Error
    -10009Recipient Account Blocked
    -10010Channel Refund Failed

    Open API 交易状态枚举列表#

    同用于代收和代付
    transactionStatus 交易状态说明
    PENDING交易中
    COMPLETED交易完成
    FAILED交易失败
    VOIDED交易撤销
    上一页
    统一异步通知参数
    下一页
    国家编码列表
    Built with